List People
curl --request GET \
--url https://tms.universal.rollout.com/api/peopleimport requests
url = "https://tms.universal.rollout.com/api/people"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://tms.universal.rollout.com/api/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_metadata": {
"collection": "<string>",
"offset": 123,
"limit": 123,
"total": 123,
"next": "<string>",
"nextLink": "<string>"
},
"people": [
{
"id": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"timezone": "<string>",
"assignedUserId": "<string>",
"assignedPondId": "<string>",
"officeId": "<string>",
"timeframeId": "<string>",
"stage": "<string>",
"stageId": "<string>",
"tags": [
"<string>"
],
"originalIds": {},
"original": {},
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>"
}
],
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"source": "<string>",
"sourceId": "<string>",
"systemSource": "<string>",
"averageBeds": 123,
"averagePrice": 123,
"birthday": "<string>",
"lastActivity": "<string>",
"lastActivityType": "<string>",
"contactTypes": [
"<string>"
],
"jobTitle": "<string>",
"companyName": "<string>",
"communicationsConsent": {
"email": true,
"call": true,
"text": true,
"massEmail": true,
"postal": true,
"visit": true
}
}
]
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}People
List People
GET /people
GET
/
people
List People
GET /people
Base URL: https://tms.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
next | query | string | No |
offset | query | string(numeric) | number | No |
limit | query | string(numeric) | number | No |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
409 | Conflict |
OpenAPI Source
/openapi/tms.json GET /people⌘I